CREATE TABLE IBDB.COMPETICIO
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(50) NOT NULL ENABLE,
  AMBIT VARCHAR2(11) DEFAULT 'NACIONAL' NOT NULL ENABLE, 
  GENERE VARCHAR2(7) DEFAULT 'MASCULI' NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) DEFAULT 'NORMAL' NOT NULL ENABLE, 
  PAIS_ID NUMBER(5,0) DEFAULT NULL, 
  CONTINENT_ID NUMBER(5,0) DEFAULT NULL,
  NOMBRE_ARBITRES NUMBER(1,0) NOT NULL ENABLE, 
  CATEGORIA_ID NUMBER(5,0) NOT NULL ENABLE, 
  TEMPORADA VARCHAR2(9) NOT NULL ENABLE, 
  CONSTRAINT CHK_COMPETICIO_AMBIT CHECK (AMBIT IN ('CONTINENTAL', 'NACIONAL')) ENABLE, 
  CONSTRAINT CHK_COMPETICIO_GENERE CHECK (GENERE IN ('MASCULI','FEMENI')) ENABLE, 
  CONSTRAINT CHCK_COMPETICIO_MODALITAT CHECK (MODALITAT IN ('NORMAL', 'CADIRA DE RODES')) ENABLE, 
  CONSTRAINT PK_COMPETICIO PRIMARY KEY (ID) ENABLE,
  CONSTRAINT UK_COMPETICIO UNIQUE (ID, TEMPORADA, PAIS_ID) ENABLE,
  CONSTRAINT FK_COMPETICIO_PAIS FOREIGN KEY (PAIS_ID) REFERENCES IBDB.PAIS (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_COMPETICIO_CONTINENT FOREIGN KEY (CONTINENT_ID) REFERENCES IBDB.CONTINENT (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_COMPETICIO_CATEGORIA FOREIGN KEY (CATEGORIA_ID) REFERENCES IBDB.CATEGORIA (ID) ON DELETE SET NULL ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.COMPETICIO.ID IS 'Identificador nica de la competici';
COMMENT ON COLUMN IBDB.COMPETICIO.NOM IS 'Nom de la competici';
COMMENT ON COLUMN IBDB.COMPETICIO.AMBIT IS 'Ambit de la competici CONTINENTAL o NACIONAL';
COMMENT ON COLUMN IBDB.COMPETICIO.GENERE IS 'Genere de la competici MASCULI o FEMENI';
COMMENT ON COLUMN IBDB.COMPETICIO.MODALITAT IS 'Modalitat de la competici NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDB.COMPETICIO.PAIS_ID IS 'Identificador del pais on es realitza la competici';
COMMENT ON COLUMN IBDB.COMPETICIO.CONTINENT_ID IS 'Indentificador del continent on es realitza la competici';
COMMENT ON COLUMN IBDB.COMPETICIO.NOMBRE_ARBITRES IS 'Nombre d''arbires que hi ha en cada partit d''aquesta competici';
COMMENT ON COLUMN IBDB.COMPETICIO.CATEGORIA_ID IS 'Identificador nic de la categora on es juga aquesta competici';
COMMENT ON COLUMN IBDB.COMPETICIO.TEMPORADA IS 'Temporada enb format YYYY-YYYY';
COMMENT ON TABLE IBDB.COMPETICIO  IS 'Cont la informaci de les diferents competicions.';

GRANT SELECT ON IBDB.COMPETICIO TO IBDWH;
