CREATE TABLE IBDB.CONTRACTE
( ID NUMBER(10,0) NOT NULL ENABLE, 
  JUGADOR_ID NUMBER(10,0) NOT NULL ENABLE,
  REPRESENTANT_ID NUMBER(10,0), 
  DATA_SIGNATURA DATE NOT NULL ENABLE, 
  EQUIP_COMPRADOR_ID NUMBER(10,0) NOT NULL ENABLE, 
  EQUIP_VENEDOR_ID NUMBER(10,0) NOT NULL ENABLE, 
  DURADA_CONTRACTE NUMBER(2,0) DEFAULT 12 NOT NULL ENABLE, 
  SALARI_BRUT_ANUAL NUMBER(8,0) DEFAULT 0 NOT NULL ENABLE, 
  COMPENSACIO NUMBER(8,0) DEFAULT 0 NOT NULL ENABLE, 
  VALOR_ECONOMIC NUMBER(10,0) DEFAULT 0 NOT NULL ENABLE, 
  CONSTRAINT PK_CONTRACTE PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_CONTRACTE_JUGADOR FOREIGN KEY (JUGADOR_ID) REFERENCES IBDB.JUGADOR (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_CONTRACTE_REPRESENTANT FOREIGN KEY (REPRESENTANT_ID) REFERENCES IBDB.REPRESENTANT (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_CONTRACTE_EQUIP_C FOREIGN KEY (EQUIP_COMPRADOR_ID) REFERENCES IBDB.EQUIP (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_CONTRACTE_EQUIP_V FOREIGN KEY (EQUIP_VENEDOR_ID) REFERENCES IBDB.EQUIP (ID) ON DELETE SET NULL ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.CONTRACTE.ID IS 'Identificador nic del contracte';
COMMENT ON COLUMN IBDB.CONTRACTE.JUGADOR_ID IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDB.CONTRACTE.REPRESENTANT_ID IS 'Identificador nic del representant';
COMMENT ON COLUMN IBDB.CONTRACTE.DATA_SIGNATURA IS 'Data de la signatura del contracte';
COMMENT ON COLUMN IBDB.CONTRACTE.EQUIP_COMPRADOR_ID IS 'Identificador nic del equip que compra al jugador';
COMMENT ON COLUMN IBDB.CONTRACTE.EQUIP_VENEDOR_ID IS 'Identificador nic del equip que ven al jugador';
COMMENT ON COLUMN IBDB.CONTRACTE.DURADA_CONTRACTE IS 'La durada del contracte, per defecte es 12';
COMMENT ON COLUMN IBDB.CONTRACTE.SALARI_BRUT_ANUAL IS 'Salari brut anual que rebr el jugador';
COMMENT ON COLUMN IBDB.CONTRACTE.COMPENSACIO IS 'Compensasi que rebr el equip venedor';
COMMENT ON COLUMN IBDB.CONTRACTE.VALOR_ECONOMIC IS 'Valor economic total de la operaci (Salari Brut Anual + Compensaci)';
COMMENT ON TABLE IBDB.CONTRACTE  IS 'Te la informaci dels contractes del jugadors pels differents equips.';

GRANT SELECT ON IBDB.CONTRACTE TO IBDWH;
