CREATE TABLE IBDB.EQUIP
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(20) NOT NULL ENABLE,
  NOM_REPRESENTANT_LEGAL VARCHAR2(30), 
  MUNICIPI_ID NUMBER(6,0), 
  PAIS_ID NUMBER(4,0) NOT NULL ENABLE, 
  ADRECA VARCHAR2(80), 
  TELEFON VARCHAR2(20), 
  URL_WEB VARCHAR2(4000), 
  ID_ASSOCIACIO NUMBER(5,0), 
  NUMERO_SOCIS NUMBER(10,0) DEFAULT NULL, 
  CONSTRAINT PK_EQUIP PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_EQUP_MUNICIPI FOREIGN KEY (MUNICIPI_ID) REFERENCES IBDB.MUNICIPI (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_EQUIP_PAIS FOREIGN KEY (PAIS_ID) REFERENCES IBDB.PAIS (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_EQUP_ASSOCIACIO FOREIGN KEY (ID_ASSOCIACIO) REFERENCES IBDB.ASSOCIACIO (ID) ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.EQUIP.ID IS 'Identificador nic del equip';
COMMENT ON COLUMN IBDB.EQUIP.NOM IS 'Nom del equip';
COMMENT ON COLUMN IBDB.EQUIP.NOM_REPRESENTANT_LEGAL IS 'Nom del representant legal del equip';
COMMENT ON COLUMN IBDB.EQUIP.MUNICIPI_ID IS 'Identificador nic del municipi al que pertany el equip';
COMMENT ON COLUMN IBDB.EQUIP.PAIS_ID IS 'Identificador nic del pais al que pertany el equip';
COMMENT ON COLUMN IBDB.EQUIP.ADRECA IS 'Adrea on resideix l''equip';
COMMENT ON COLUMN IBDB.EQUIP.TELEFON IS 'Telefon de contacte del equip';
COMMENT ON COLUMN IBDB.EQUIP.URL_WEB IS 'URL de la web oficial del equip';
COMMENT ON COLUMN IBDB.EQUIP.ID_ASSOCIACIO IS 'Identificaci nic de l''associaci que pertany l''equip';
COMMENT ON COLUMN IBDB.EQUIP.NUMERO_SOCIS IS 'Nmero de socis';
COMMENT ON TABLE IBDB.EQUIP  IS 'Taula que cont la informaci de tots els equips.';

GRANT SELECT ON IBDB.EQUIP TO IBDWH;
