CREATE TABLE IBDB.ESTADISTICA_PARTIT
( ID_JUGADOR NUMBER(10,0) NOT NULL ENABLE, 
  ID_PARTIT NUMBER(10,0) NOT NULL ENABLE,
  MINUTS_JUGATS NUMBER(3,0) NOT NULL ENABLE, 
  PUNTS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  TIRS_LLIURES_INTENTATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  TIRS_LLIURES_ENCISTELLATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  DOS_PUNTS_INTENTATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  DOS_PUNTS_ENCISTELLATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  TRES_PUNTS_INTENTATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  TRES_PUNTS_ENCISTELLATS NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  REBOTS_DEFENSIUS NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  REBOTS_OFENSIUS NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  ASSISTENCIES NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  TAPS_A_FAVOR NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  TAPS_EN_CONTRA NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  PILOTES_RECUPERADES NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  PILOTES_PERDUDES NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  FALTAS_COMESES NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  FALTES_REBUDES NUMBER(2,0) DEFAULT 0 NOT NULL ENABLE, 
  VALORACIO_JUGADOR NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  VALORACIO_JUGADOR_PONDERADA NUMBER(3,0) DEFAULT 0 NOT NULL ENABLE, 
  CONSTRAINT PK_ESTADISTICA_PARTIT PRIMARY KEY (ID_JUGADOR, ID_PARTIT) ENABLE,
  CONSTRAINT FK_EST_PART_JUGADOR FOREIGN KEY (ID_JUGADOR) REFERENCES IBDB.JUGADOR (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_EST_PART_PARTIT FOREIGN KEY (ID_PARTIT) REFERENCES IBDB.PARTIT (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.ID_JUGADOR IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.ID_PARTIT IS 'Identificador nic del partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.MINUTS_JUGATS IS 'Minuts jugats en el partit id';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.PUNTS IS 'Total punts ';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TIRS_LLIURES_INTENTATS IS 'Tirs lliures intentants pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TIRS_LLIURES_ENCISTELLATS IS 'Tirs lliures encistellats pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.DOS_PUNTS_INTENTATS IS 'Tirs de dos punts intentants pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.DOS_PUNTS_ENCISTELLATS IS 'Tirs de dos punts encistellants pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TRES_PUNTS_INTENTATS IS 'Triples intentats pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TRES_PUNTS_ENCISTELLATS IS 'Triples encistellats pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.REBOTS_DEFENSIUS IS 'Rebots defensius que ha fet el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.REBOTS_OFENSIUS IS 'Rebots ofenisus que ha fet el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.ASSISTENCIES IS 'Nmero total d''assistencies que ha fetl el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TAPS_A_FAVOR IS 'Taps a favor que ha fet el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.TAPS_EN_CONTRA IS 'Taps en contra que ha fet el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.PILOTES_RECUPERADES IS 'Pilotes recuperados per el jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.PILOTES_PERDUDES IS 'Pilotes perdudes pel jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.FALTAS_COMESES IS 'Faltes comeses per aquest jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.FALTES_REBUDES IS 'Faltes rebudes per aquest jugador en aquest partit';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.VALORACIO_JUGADOR IS 'Valoraci del jugador V = PT + T1E + T2E + T3E + RD + RO + AS + TF + PR + FR - T1I - T2I - T3I - TC - PP - FC';
COMMENT ON COLUMN IBDB.ESTADISTICA_PARTIT.VALORACIO_JUGADOR_PONDERADA IS 'Valoracoi Jugador * Factor de ponderacio de la taula CATEGORIA';
COMMENT ON TABLE IBDB.ESTADISTICA_PARTIT  IS 'Guarda les estadistiques dels diferents jugadors en els partits que disputen';

GRANT SELECT ON IBDB.ESTADISTICA_PARTIT TO IBDWH;
