CREATE TABLE IBDB.JUGADOR
( ID NUMBER(10,0) NOT NULL ENABLE, 
  NACIONALITAT_ID NUMBER(6,0) NOT NULL ENABLE,
  FEDERACIO_ID NUMBER(6,0), 
  NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS VARCHAR2(40) NOT NULL ENABLE, 
  DATA_NAIXEMENT DATE NOT NULL ENABLE, 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE, 
  ALCADA NUMBER(3,0) NOT NULL ENABLE, 
  PES NUMBER(5,2) NOT NULL ENABLE, 
  POSICIO_ID NUMBER(1,0), 
  REPRESENTANT_ID NUMBER(6,0), 
  URL_PAGINA_PERSONAL VARCHAR2(400), 
  URL_VIDEO_PROMOCIONAL VARCHAR2(400), 
  ACTIVITAT VARCHAR2(20) NOT NULL ENABLE, 
  ESTAT VARCHAR2(5) NOT NULL ENABLE, 
  SUB_ESTAT VARCHAR2(23) DEFAULT NULL, 
  CONSTRAINT CHK_JUGADOR_GENERE CHECK (GENERE IN ('MASCULI','FEMENI')) ENABLE, 
  CONSTRAINT CHK_JUGADOR_MODALITAT CHECK (MODALITAT IN ('NORMAL','CADIRA DE RODES')) ENABLE, 
  CONSTRAINT CHK_JUGADOR_ESTAT CHECK (ESTAT IN ('ALTA', 'BAIXA')) ENABLE, 
  CONSTRAINT CHK_JUGADRO_SUB_ESTAT CHECK (SUB_ESTAT IN ('BAIXA MEDICA', 'BAIXA MOTIUS PERSONALES')) ENABLE, 
  CONSTRAINT JUGADOR_PK PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_JUGADOR_PAIS FOREIGN KEY (FEDERACIO_ID) REFERENCES IBDB.PAIS (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_JUGADOR_POSICIO FOREIGN KEY (POSICIO_ID) REFERENCES IBDB.POSICIO (ID) ON DELETE SET NULL ENABLE,
  CONSTRAINT FK_JUGADOR_REPRESENTANT FOREIGN KEY (REPRESENTANT_ID) REFERENCES IBDB.REPRESENTANT (ID) ON DELETE SET NULL ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.JUGADOR.ID IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.NACIONALITAT_ID IS 'Identificador nic de la nacionalitat del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.FEDERACIO_ID IS 'Identificador nic de la federaci a la que pertany aquest jugador';
COMMENT ON COLUMN IBDB.JUGADOR.NUMERO_FEDERAT IS 'Nmero de federat del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.NOM IS 'Nom del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.COGNOMS IS 'Cognoms del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.DATA_NAIXEMENT IS 'Data de naixament del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.GENERE IS 'Indicar si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDB.JUGADOR.MODALITAT IS 'En el que jugar el jugador NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDB.JUGADOR.ALCADA IS 'Alada del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.PES IS 'Pes del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.POSICIO_ID IS 'Identificador nic en el que juga aquest jugador';
COMMENT ON COLUMN IBDB.JUGADOR.REPRESENTANT_ID IS 'Identificador nic del representant del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.URL_PAGINA_PERSONAL IS 'URL oficial de la pagina personal del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.URL_VIDEO_PROMOCIONAL IS 'VIDEO oficial promocional del jugador';
COMMENT ON COLUMN IBDB.JUGADOR.ACTIVITAT IS 'Ens indica si un jugador est ACTIU o RETIRAT';
COMMENT ON COLUMN IBDB.JUGADOR.ESTAT IS 'Ens indica si un jugador est ALTA o B AIXA';
COMMENT ON COLUMN IBDB.JUGADOR.SUB_ESTAT IS 'Ens indicara si, en cas de estar de BAIXA es per BAIXA MEDICA o BAIXA MOTIUS PERSONALES';
COMMENT ON TABLE IBDB.JUGADOR  IS 'Llistat de jugadors i les seves caracterstiques';

GRANT SELECT ON IBDB.JUGADOR TO IBDWH;
