CREATE TABLE IBDB.PAIS
( ID NUMBER(5,0) NOT NULL ENABLE, 
  NOM VARCHAR2(30) NOT NULL ENABLE,
  ISO VARCHAR2(4) NOT NULL ENABLE, 
  NACIONALITAT VARCHAR2(50) NOT NULL ENABLE, 
  CONTINENT_ID NUMBER(1,0) NOT NULL ENABLE, 
  CONSTRAINT PK_PAIS PRIMARY KEY (ID) ENABLE,
  CONSTRAINT FK_PAIS_CONTINENT FOREIGN KEY (CONTINENT_ID) REFERENCES IBDB.CONTINENT (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.PAIS.ID IS 'Identificador nic del pais';
COMMENT ON COLUMN IBDB.PAIS.NOM IS 'Nom del pais';
COMMENT ON COLUMN IBDB.PAIS.ISO IS 'Nom del pais en format ISO';
COMMENT ON COLUMN IBDB.PAIS.NACIONALITAT IS 'Nacionalitat dels ciutadants d''aquest partit';
COMMENT ON COLUMN IBDB.PAIS.CONTINENT_ID IS 'Continent al que pertany aquest pais.';
COMMENT ON TABLE IBDB.PAIS  IS 'Llistat de paisos.';

GRANT SELECT ON IBDB.PAIS TO IBDWH;
