CREATE TABLE IBDB.PARTIT
( ID NUMBER(10,0) NOT NULL ENABLE, 
  LLOC VARCHAR2(80) NOT NULL ENABLE,
  DATA_PARTIT DATE NOT NULL ENABLE, 
  EQUIP_LOCAL_ID NUMBER(10,0) NOT NULL ENABLE, 
  EQUIP_VISITANT_ID NUMBER(10,0) NOT NULL ENABLE, 
  COMPETICIO_ID NUMBER(10,0) NOT NULL ENABLE, 
  CONSTRAINT PK_PARTIT PRIMARY KEY (ID) ENABLE,
  CONSTRAINT UK_PARTIT_DATA UNIQUE (DATA_PARTIT, EQUIP_LOCAL_ID, EQUIP_VISITANT_ID) ENABLE,
  CONSTRAINT FK_PARTIT_EQUIP_L FOREIGN KEY (EQUIP_LOCAL_ID) REFERENCES IBDB.EQUIP (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_PARTIT_EQUIP_V FOREIGN KEY (EQUIP_VISITANT_ID) REFERENCES IBDB.EQUIP (ID) ON DELETE CASCADE ENABLE,
  CONSTRAINT FK_PARTIT_COMPETICIO FOREIGN KEY (COMPETICIO_ID) REFERENCES IBDB.COMPETICIO (ID) ON DELETE CASCADE ENABLE
) TABLESPACE TBS_INT_BKT_DB ;

COMMENT ON COLUMN IBDB.PARTIT.ID IS 'Identificador nic del partit';
COMMENT ON COLUMN IBDB.PARTIT.LLOC IS 'Lloc on es jugar el partit';
COMMENT ON COLUMN IBDB.PARTIT.DATA_PARTIT IS 'Data quan es realitzar aquest partit';
COMMENT ON COLUMN IBDB.PARTIT.EQUIP_LOCAL_ID IS 'Identificador nic del equip que jugara com a local';
COMMENT ON COLUMN IBDB.PARTIT.EQUIP_VISITANT_ID IS 'Identificador nic del equip que jugar com a visitant';
COMMENT ON COLUMN IBDB.PARTIT.COMPETICIO_ID IS 'Identificador nic que assigna aquest partit a una determinada competici';
COMMENT ON TABLE IBDB.PARTIT  IS 'Cont tota la informaci a un partit';

GRANT SELECT ON IBDB.PARTIT TO IBDWH;
