/* Funci que audita els canvis en la taula ARBITRE */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_ARBITRE
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.ARBITRE
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'ARBITRE';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.ARBITRE - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.ARBITRE - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.ARBITRE - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.ARBITRE';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_ARBITRE - VALOR: ' || :old.id );
END;
/
