/* Funci que audita els canvis en la taula ARBITRE_PARTIT */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_ARBITRE_PARTIT
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.ARBITRE_PARTIT
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'ARBITRE_PARTIT';
  vReturn INTEGER := IBDB.PKG_UTILS.C_OK;
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.ARBITRE - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.ARBITRE - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.ARBITRE - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.ARBITRE';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.ID_PARTIT || ' - ' || :old.ID_ARBITRE );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_ARBITRE - VALOR: ' || :old.ID_PARTIT || ' - ' || :old.ID_ARBITRE );
END;
/
