/* Funci que audita els canvis en la taula CATEGORIA */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_CATEGORIA
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.CATEGORIA
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'MUNICIPI';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.CATEGORIA - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.CATEGORIA - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.CATEGORIA - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.CATEGORIA';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_CATEGORIA - VALOR: ' || :old.id );
END;
/
