/* Funci que audita els canvis en la taula CONTINENT */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_CONTINENT
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.CONTINENT
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'CONTINENT';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.CONTINENT - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.CONTINENT - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.CONTINENT - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.CONTINENT';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_CONTINENT - VALOR: ' || :old.id );
END;
/
