/* Funci que audita els canvis en la taula CONTRACTE */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_CONTRACTE
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.CONTRACTE
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'CONTRACTE';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.CONTRACTE - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.CONTRACTE - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.CONTRACTE - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.CONTRACTE';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_CONTRACTE - VALOR: ' || :old.id );
END;
/
