/* Funci que audita els canvis en la taula EQUIP */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_EQUIP
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.EQUIP
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'EQUIP';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.EQUIP - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.EQUIP - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.EQUIP - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.EQUIP';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_EQUIP - VALOR: ' || :old.id );
END;
/
