/* Funci que audita els canvis en la taula EQUIP_TECNIC */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_EQUIP_TECNIC
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.EQUIP_TECNIC
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'EQUIP_TECNIC';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.EQUIP_TECNIC - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.EQUIP_TECNIC - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.EQUIP_TECNIC - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.EQUIP_TECNIC';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id_EQUIP || ' - ' || :old.id_tecnic );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_EQUIP_TECNIC - VALOR: ' || :old.id_EQUIP || ' - ' || :new.id_tecnic );
END;
/
