/* Funci que audita els canvis en la taula JUGADOR */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_JUGADOR
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.JUGADOR
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'JUGADOR';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.JUGADOR - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.JUGADOR - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.JUGADOR - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.JUGADOR';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_JUGADOR - VALOR: ' || :old.id );
END;
/
