/* Funci que audita els canvis en la taula MUNICIPI */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_MUNICIPI
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.MUNICIPI
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'MUNICIPI';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.MUNICIPI - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.MUNICIPI - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.MUNICIPI - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.MUNICIPI';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_MUNICIPI - VALOR: ' || :old.id );
END;
/
