/* Funci que audita els canvis en la taula PAIS */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_PAIS
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.PAIS
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'PAIS';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.PAIS - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.PAIS - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.PAIS - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.PAIS';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_PAIS - VALOR: ' || :old.id );
END;
/
