/* Funci que audita els canvis en la taula PARTIT */ 
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_PARTIT
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.PARTIT
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'PARTIT';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.PARTIT - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.PARTIT - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.PARTIT - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.PARTIT';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER TRG_INSERT_PARTIT - VALOR: ' || :old.id );
END;
/
