/* Funci que audita els canvis en la taula POSICIO */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_POSICIO
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.POSICIO
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'POSICIO';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.POSICIO - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.POSICIO - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.POSICIO - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.POSICIO';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_POSICIO - VALOR: ' || :old.id );
END;
/
