/* Funci que audita els canvis en la taula REPRESENTANT */
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_REPRESENTANT
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.REPRESENTANT
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'REPRESENTANT';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.REPRESENTANT - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.REPRESENTANT - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.REPRESENTANT - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.REPRESENTANT';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_REPRESENTANT - VALOR: ' || :old.id );
END;
/
