/* Funci que audita els canvis en la taula TECNIC*/
CREATE OR REPLACE TRIGGER IBDB.TRG_AUDIT_TECNIC
AFTER INSERT OR UPDATE OR DELETE
   ON IBDB.TECNIC
   FOR EACH ROW

DECLARE
  vDescriptionText VARCHAR2(100);
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TECNIC';
BEGIN

  IF INSERTING THEN
    vDescriptionText := 'INSERT INTO IBDB.TECNIC - VALOR: ';
  ELSIF UPDATING THEN
    vDescriptionText := 'UPDATE IBDB.TECNIC - VALOR: ';
  ELSIF DELETING THEN
    vDescriptionText := 'DELETE FROM IBDB.TECNIC - VALOR: ';
  ELSE
    vDescriptionText := 'ACCIO DESCONEGUDA EN IBDB.TECNIC';
  END IF;
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, vDescriptionText || :old.id );
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte,'ERROR ON TRIGGER TRG_INSERT_TECNIC - VALOR: ' || :old.id );
END;
/
