/* Quan esborrem partit actualitza la taula EQUIP */
CREATE OR REPLACE TRIGGER IBDB.TRG_DEL_EQUIP
BEFORE DELETE
   ON IBDB.EQUIP
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_DEL_EQUIP';
BEGIN

  DELETE FROM IBDB.CONTRACTE C WHERE C.EQUIP_COMPRADOR_ID = :new.id;
  DELETE FROM IBDB.EQUIP_TECNIC ET WHERE ET.ID_EQUIP = :new.id;
  DELETE FROM IBDB.PARTIT P WHERE P.EQUIP_LOCAL_ID = :new.id OR P.EQUIP_VISITANT_ID = :new.id;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'Equip esborrat de CONTRACTE ' ||  :new.id);
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'Equip esborrat de EQUIP_TECNIC ' ||  :new.id);
  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'Equip esborrat de PARTIT ' ||  :new.id);
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
