/* Quan inserim un nou registre en la taula d'auditoria crea automaticament el seu identificador nic. */
CREATE OR REPLACE TRIGGER IBDB.TRG_NOU_AUDITORIA
BEFORE INSERT
   ON IBDB.AUDITORIA
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_NOU_AUDITORIA';
BEGIN

  SELECT IBDB.SEQ_AUDITORIA_ID.nextval
    INTO :new.id
    FROM DUAL;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'SEQ AUDITORIA ACTUALITZADA ' ||  :new.id);
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
