/* Quan inserim un nou contracte crea automaticament el seu identificador nic. */
CREATE OR REPLACE TRIGGER IBDB.TRG_NOU_CONTRACTE
BEFORE INSERT
   ON IBDB.CONTRACTE
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_NOU_CONTRACTE';
BEGIN

  SELECT IBDB.SEQ_CONTRACTE_ID.nextval
    INTO :new.id
    FROM DUAL;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'SEQ CONTRACTE ACTUALITZADA ' ||  :new.id);
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
