/* Quan inserim un nou equip crea automaticament el seu identificador nic. <BR>
   Adems valida que si el tipus d'associaci pertany a un club el valor assignat no pot ser 0. */
CREATE OR REPLACE TRIGGER IBDB.TRG_NOU_EQUIP
BEFORE INSERT
   ON IBDB.EQUIP
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_NOU_EQUIP';
  vClub NUMBER(1) := 0;
  E_CLUB_SENSE_SOCIS EXCEPTION;
BEGIN

  BEGIN
    SELECT 1 
      INTO vClub
      FROM IBDB.ASSOCIACIO A
    WHERE A.ID = :new.id_associacio
      AND A.TIPUS = 'CLUB';
    IF ( NVL(:new.numero_socis,0) = 0) THEN
      RAISE E_CLUB_SENSE_SOCIS;
    END IF;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      NULL; -- No ens hem de preocupar del num. de socis.
  END;
  
  
  SELECT IBDB.SEQ_EQUIP_ID.nextval
    INTO :new.id
    FROM DUAL;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'SEQ EQUIP ACTUALITZADA ' ||  :new.id);
EXCEPTION
   WHEN E_CLUB_SENSE_SOCIS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER - CLUB SENSE SOCIS: ' || vNomObjecte );
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
