/* Quan inserim un nou municipi crea automaticament el seu identificador nic. */
CREATE OR REPLACE TRIGGER IBDB.TRG_NOU_MUNICIPI
BEFORE INSERT
   ON IBDB.MUNICIPI
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_NOU_PAIS';
BEGIN

  SELECT IBDB.SEQ_MUNICIPI_ID.nextval
    INTO :new.id
    FROM DUAL;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'SEQ MUNICIPI ACTUALITZADA ' ||  :new.id);
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
