/* Quan inserim un nou representant crea automaticament el seu identificador nic. */
CREATE OR REPLACE TRIGGER IBDB.TRG_NOU_REPRESENTANT
BEFORE INSERT
   ON IBDB.REPRESENTANT
   FOR EACH ROW

when (new.id is null)
DECLARE
  vNomObjecte IBDB.AUDITORIA.NOM_OBJECTE%TYPE := 'TRG_NOU_REPRESENTANT';
BEGIN

  SELECT IBDB.Seq_Representant_Id.nextval
    INTO :new.id
    FROM DUAL;

  IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'SEQ REPRESENTANT ACTUALITZADA ' ||  :new.id);
EXCEPTION
   WHEN OTHERS THEN
     IBDB.PKG_UTILS.PR_AUDITAR_CANVIS(vNomObjecte, 'ERROR ON TRIGGER' || vNomObjecte );
END;
/
