
CREATE OR REPLACE VIEW IBDB.ESTADISTICA_PARTIT_X_EQUIP AS
SELECT PARTIT_ID, 
       EQUIP_LOCAL_ID,
       EQUIP_VISITANT_ID,
       COMPETICIO_ID,
       TEMPORADA,
       SUM(PUNTS_EQUIP_LOCAL) PUNTS_EQUIP_LOCAL,
       SUM(PUNTS_EQUIP_VISITANT) PUNT_EQUIP_VISITANT
FROM (       
SELECT P.ID PARTIT_ID,
       P.EQUIP_LOCAL_ID,
       P.EQUIP_VISITANT_ID,
       C.ID COMPETICIO_ID,
       C.TEMPORADA,
       SUM(CASE
         WHEN (CTR.EQUIP_COMPRADOR_ID = P.EQUIP_LOCAL_ID) THEN
           EP.PUNTS
         ELSE
           0
       END) PUNTS_EQUIP_LOCAL,
       SUM(CASE
         WHEN (CTR.EQUIP_COMPRADOR_ID = P.EQUIP_VISITANT_ID) THEN
           EP.PUNTS
         ELSE
           0
       END) PUNTS_EQUIP_VISITANT  
  FROM IBDB.PARTIT P,
       IBDB.COMPETICIO C,
       IBDB.ESTADISTICA_PARTIT EP,
       IBDB.JUGADOR J,
       IBDB.CONTRACTE CTR
 WHERE EP.ID_PARTIT = P.ID
   AND J.ID = EP.ID_JUGADOR
   AND CTR.JUGADOR_ID = J.ID
   AND C.ID = P.COMPETICIO_ID
GROUP BY P.ID,
         P.EQUIP_LOCAL_ID,
         P.EQUIP_VISITANT_ID,   
         CTR.EQUIP_COMPRADOR_ID,
         C.ID,
         C.TEMPORADA)
GROUP BY PARTIT_ID,
         EQUIP_LOCAL_ID,
         EQUIP_VISITANT_ID,
         COMPETICIO_ID,
         TEMPORADA;

GRANT SELECT ON IBDB.ESTADISTICA_PARTIT_X_EQUIP TO IBDWH;
