CREATE TABLE IBDWH.JUGADORS_EN_UNA_COMPETICIO
( ID NUMBER(10,0) NOT NULL ENABLE, 
  ID_COMPETICIO NUMBER(10,0) NOT NULL ENABLE,
  NOM_COMPETICIO VARCHAR2(50) NOT NULL ENABLE, 
  NACIONALITAT VARCHAR2(50) NOT NULL ENABLE, 
  FEDERACIO_ID VARCHAR2(43), 
  NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE, 
  NOM_JUGADOR VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS_JUGADOR VARCHAR2(40) NOT NULL ENABLE, 
  DATA_NAIXEMENT DATE NOT NULL ENABLE, 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE, 
  ALCADA NUMBER(3,0) NOT NULL ENABLE, 
  PES NUMBER(5,2) NOT NULL ENABLE, 
  POSICIO VARCHAR2(20) NOT NULL ENABLE, 
  REPRESENTANT VARCHAR2(61), 
  DATA_FINALITZACIO_CONTRACTE DATE, 
  URL_PAGINA_PERSONAL VARCHAR2(400), 
  URL_VIDEO_PROMOCIONAL VARCHAR2(400), 
  ACTIVITAT VARCHAR2(20) NOT NULL ENABLE, 
  ESTAT VARCHAR2(5) NOT NULL ENABLE, 
  SUB_ESTAT VARCHAR2(23), 
  CONSTRAINT PK_JUGADOR_COMPETICIO PRIMARY KEY (ID, ID_COMPETICIO) ENABLE
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.ID IS 'Identificador nica del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.ID_COMPETICIO IS 'Identificador nic de la competici';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.NOM_COMPETICIO IS 'Nom de la competici';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.NACIONALITAT IS 'Nacionalitat del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.FEDERACIO_ID IS 'Identificador nic de la federaci';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.NUMERO_FEDERAT IS 'Nmero de federat del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.NOM_JUGADOR IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.COGNOMS_JUGADOR IS 'Cognoms del Jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.DATA_NAIXEMENT IS 'Data de naixiament del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.ALCADA IS 'Alada del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.PES IS 'Pes del Jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.POSICIO IS 'Posici on juga aquest jugador habitualment';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.REPRESENTANT IS 'Noms i cognosm del representant legal del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.DATA_FINALITZACIO_CONTRACTE IS 'Data de finalitzaci del contracte del jugador amb l''actual equip.';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.URL_PAGINA_PERSONAL IS 'URL de la pgina oficial del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.URL_VIDEO_PROMOCIONAL IS 'URL del video promocional del jugador';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.ACTIVITAT IS 'Si esta actiu o retirat';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.ESTAT IS 'Si est de baixa o d''alta';
COMMENT ON COLUMN IBDWH.JUGADORS_EN_UNA_COMPETICIO.SUB_ESTAT IS 'El tips de baixa que te el jugador.';
COMMENT ON TABLE IBDWH.JUGADORS_EN_UNA_COMPETICIO  IS 'El llistat de tots els jugadors duna competici donada amb totes les seves dades, incloent la data de finalitzaci de contracte actual.';
