CREATE TABLE IBDWH.JUGADOR_AMB_MES_GUANYS
( ID_JUGADOR NUMBER(10,0) NOT NULL ENABLE,
 NACIONALITAT VARCHAR2(50) NOT NULL ENABLE,
 FEDERACIO VARCHAR2(100) NOT NULL ENABLE,
 NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE,
 NOM VARCHAR2(20) NOT NULL ENABLE,
 COGNOMS VARCHAR2(40) NOT NULL ENABLE,
 DATA_NAIXEMENT DATE NOT NULL ENABLE,
 ALCADA NUMBER(3,0) NOT NULL ENABLE,
 PES NUMBER(5,2) NOT NULL ENABLE,
 POSICIO VARCHAR2(20) NOT NULL ENABLE,
 URL_PAGINA_PERSONAL VARCHAR2(4000),
 URL_VIDEO_PROMOCIONAL VARCHAR2(4000),
 ACTIVITAT VARCHAR2(20) NOT NULL ENABLE,
 ESTAT VARCHAR2(5) NOT NULL ENABLE,
 SUB_ESTAT VARCHAR2(23) DEFAULT NULL,
 INICI_CARRERA_ESPORTIVA DATE NOT NULL ENABLE,
 FI_CARRERA_ESPORTIVA DATE,
 TOTAL_GUANY NUMBER(18,2) NOT NULL ENABLE
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.ID_JUGADOR IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.NACIONALITAT IS 'Nacionalitat del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.FEDERACIO IS 'Federacio a la que pertany aquest jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.NUMERO_FEDERAT IS 'Nmero de federat';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.NOM IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.COGNOMS IS 'Cognosm del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.DATA_NAIXEMENT IS 'Data de Naixament';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.ALCADA IS 'Alada del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.PES IS 'Pes del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.POSICIO IS 'Posici on juga habitualment aquest jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.URL_PAGINA_PERSONAL IS 'URL de la pgina ofical del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.URL_VIDEO_PROMOCIONAL IS 'URL del video promocional del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.ACTIVITAT IS 'Si est ACTIU o RETIRAT';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.ESTAT IS 'Si est de ALTA o de BAIXA';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.SUB_ESTAT IS 'Si est de baixa pot ser BAIXA MEDICA o BAIXA PERSONAL';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.INICI_CARRERA_ESPORTIVA IS 'La data d''inici de la carrear esportiva d''aquest jugador.';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.FI_CARRERA_ESPORTIVA IS 'Data finalitzaci de la carrear esportiva d''aquest jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_AMB_MES_GUANYS.TOTAL_GUANY IS 'Quantitat total de diners que ha guanyat aquest jugador al llarg de tota la seva carrera esportiva.';
COMMENT ON TABLE IBDWH.JUGADOR_AMB_MES_GUANYS  IS 'El jugador amb ms guanys acumulats al llarg de tota la seva carrera esportiva.';
