CREATE TABLE IBDWH.JUGADOR_MILLOR_PAGAT
( ID_JUGADOR NUMBER(10,0), 
  NOM VARCHAR2(20) NOT NULL ENABLE,
  COGNOMS VARCHAR2(40) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE, 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  SALARI_BRUT_ANUAL NUMBER(8,0) NOT NULL ENABLE, 
  NACIONALITAT VARCHAR2(50) NOT NULL ENABLE,
  FEDERACIO VARCHAR2(70) NOT NULL ENABLE,
  NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE, 
  DATA_NAIXEMENT DATE NOT NULL ENABLE, 
  ALCADA NUMBER(3,0) NOT NULL ENABLE, 
  PES NUMBER(5,2) NOT NULL ENABLE,
  POSICIO VARCHAR2(20) NOT NULL ENABLE,
  URL_PAGINA_PERSONAL VARCHAR2(4000),
  URL_VIDEO_PROMOCIONAL VARCHAR2(4000),
  ACTIVITAT VARCHAR2(20) NOT NULL ENABLE, 
  ESTAT VARCHAR2(5) NOT NULL ENABLE,
  SUB_ESTAT VARCHAR2(23) DEFAULT NULL
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.ID_JUGADOR IS 'Identificaro nic del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.NOM IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.COGNOMS IS 'Cognom del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.SALARI_BRUT_ANUAL IS 'El salari brut anual del jugador.';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.NACIONALITAT IS 'Nacionalitat del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.FEDERACIO IS 'Federaci a la que pertany aquest jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.NUMERO_FEDERAT IS 'Nmero de federat del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.DATA_NAIXEMENT IS 'Data de Naixiament d''aquest jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.ALCADA IS 'Alada del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.PES IS 'Pes del Jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.POSICIO IS 'Posici on juga habitualment.';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.URL_PAGINA_PERSONAL IS 'URL de la pgina oficial del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.URL_VIDEO_PROMOCIONAL IS 'URL del video promocional del jugador';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.ACTIVITAT IS 'Si est ACTIU o RETIRAT.';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.ESTAT IS 'Si est de ALTA o BAIXA';
COMMENT ON COLUMN IBDWH.JUGADOR_MILLOR_PAGAT.SUB_ESTAT IS 'Si est de baixa es BAIXA MEDICA o BAIXA MOTIUS PERSONALS';
COMMENT ON TABLE IBDWH.JUGADOR_MILLOR_PAGAT  IS 'El jugador ms ben pagat de cada modalitat i gnere.';
