CREATE TABLE IBDWH.MAXIM_ANOTADOR_TEMPORADA
( ID_COMPETICIO NUMBER(10,0), 
  NOM_COMPETICIO VARCHAR2(50) NOT NULL ENABLE,
  AMBIT VARCHAR2(11) NOT NULL ENABLE, 
  GENERE VARCHAR2(7) NOT NULL ENABLE, 
  MODALITAT VARCHAR2(15) NOT NULL ENABLE, 
  NOM_PAIS VARCHAR2(40) DEFAULT NULL,
  NOM_CONTINENT VARCHAR2(20) DEFAULT NULL,
  NOMBRE_ARBITRES NUMBER(1,0) NOT NULL ENABLE, 
  CATEGORIA VARCHAR2(40) NOT NULL ENABLE,
  TEMPORADA VARCHAR2(9) NOT NULL ENABLE, 
  ID_JUGADOR NUMBER(10,0) NOT NULL ENABLE, 
  NACIONALITAT VARCHAR2(40) NOT NULL ENABLE,
  FEDERACIO VARCHAR2(70) NOT NULL ENABLE,
  NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS VARCHAR2(40) NOT NULL ENABLE, 
  DATA_NAIXEMENT DATE NOT NULL ENABLE, 
  ALCADA NUMBER(3,0) NOT NULL ENABLE, 
  PES NUMBER(5,2) NOT NULL ENABLE, 
  POSICIO VARCHAR2(20) NOT NULL ENABLE,
  URL_PAGINA_PERSONAL VARCHAR2(4000),
  URL_VIDEO_PROMOCIONAL VARCHAR2(4000), 
  ACTIVITAT VARCHAR2(20) NOT NULL ENABLE, 
  ESTAT VARCHAR2(5) NOT NULL ENABLE, 
  SUB_ESTAT VARCHAR2(23) DEFAULT NULL,
  TOTAL_PUNTS_TEMPORADA NUMBER NOT NULL ENABLE
) TABLESPACE TBS_INT_BKT_DWH ;

COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.ID_COMPETICIO IS 'Identificador nica de la competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NOM_COMPETICIO IS 'Nom de la competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.AMBIT IS 'Ambit en el que es juga ';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NOM_PAIS IS 'Pais on es disputa aquesta competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NOM_CONTINENT IS 'Nom del continent on es disputa aquesta competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NOMBRE_ARBITRES IS 'El nombre d''arbitres per partit permes en aquesta competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.CATEGORIA IS 'Nom de la categoria de la competici';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.TEMPORADA IS 'Temporada en format YYYY-YYYY';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.ID_JUGADOR IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NACIONALITAT IS 'Nacionalitat del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.FEDERACIO IS 'Federaci a la que pertany el jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NUMERO_FEDERAT IS 'Nmero de federat del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.NOM IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.COGNOMS IS 'Cognoms del Jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.DATA_NAIXEMENT IS 'Data de naixament del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.ALCADA IS 'Alada del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.PES IS 'Pes del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.POSICIO IS 'Posici on juga habitualment';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.URL_PAGINA_PERSONAL IS 'URL de la pgina oficial del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.URL_VIDEO_PROMOCIONAL IS 'URL del video promocional del jugador';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.ACTIVITAT IS 'Si est ACTIU o RETIRAT';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.ESTAT IS 'Si est d''ALTA o de BAIXA';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.SUB_ESTAT IS 'Si est de BAIXA ens dir si es BAIXA MEDICA o BAIXA MOTIUS PERSONALS';
COMMENT ON COLUMN IBDWH.MAXIM_ANOTADOR_TEMPORADA.TOTAL_PUNTS_TEMPORADA IS 'Quantitat total de punts que ha anotat en la temprada.';
COMMENT ON TABLE IBDWH.MAXIM_ANOTADOR_TEMPORADA  IS 'Donada una competici, el seu mxim anotador en la temporada en curs (o b la darrera temporada, si ens trobem en el perode entre temporades).';
