CREATE TABLE IBDWH.MILLOR_JUGADOR_DEL_MON
( ID_JUGADOR NUMBER(10,0), 
  GENERE VARCHAR2(7),
  MODALITAT VARCHAR2(15), 
  TEMPORADA VARCHAR2(9), 
  PUNTUACIO NUMBER(5,2), 
  NACIONALITAT VARCHAR2(50) NOT NULL ENABLE, 
  FEDERACIO VARCHAR2(50) NOT NULL ENABLE, 
  NUMERO_FEDERAT NUMBER(10,0) NOT NULL ENABLE, 
  NOM VARCHAR2(20) NOT NULL ENABLE, 
  COGNOMS VARCHAR2(40) NOT NULL ENABLE, 
  DATA_NAIXEMENT DATE NOT NULL ENABLE, 
  ALCADA NUMBER(3,0) NOT NULL ENABLE, 
  PES NUMBER(5,2) NOT NULL ENABLE, 
  POSICIO VARCHAR2(20) NOT NULL ENABLE, 
  REPRESENTANT VARCHAR2(50) NOT NULL ENABLE, 
  URL_PAGINA_PERSONAL VARCHAR2(4000), 
  URL_VIDEO_PROMOCIONAL VARCHAR2(4000), 
  ACTIVITAT VARCHAR2(20) NOT NULL ENABLE, 
  ESTAT VARCHAR2(5) NOT NULL ENABLE, 
  SUB_ESTAT VARCHAR2(23) DEFAULT NULL
) TABLESPACE TBS_INT_BKT_DWH ;


COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.ID_JUGADOR IS 'Identificador nic del jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.GENERE IS 'Si es MASCULI o FEMENI';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.MODALITAT IS 'Si es NORMAL o CADIRA DE RODES';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.TEMPORADA IS 'Temporada en format YYYY-YYYY';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.PUNTUACIO IS 'Puntuaci ponderada que ha obtingut aquest jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.NACIONALITAT IS 'Nacionalitat del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.FEDERACIO IS 'Federaci a la que pertany el jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.NUMERO_FEDERAT IS 'Nmero de federat del jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.NOM IS 'Nom del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.COGNOMS IS 'Cognom del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.DATA_NAIXEMENT IS 'Data de naixament del jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.ALCADA IS 'Alada del jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.PES IS 'Pes del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.POSICIO IS 'Posici on juga habitualment aquest jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.REPRESENTANT IS 'Representant del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.URL_PAGINA_PERSONAL IS 'URL de la pgina oficial del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.URL_VIDEO_PROMOCIONAL IS 'URL del video promocional del Jugador';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.ACTIVITAT IS 'Si est ACTIU o RETIRAT';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.ESTAT IS 'Si est de ALTA o de BAIXA';
COMMENT ON COLUMN IBDWH.MILLOR_JUGADOR_DEL_MON.SUB_ESTAT IS 'Si est de BAIXA es BAIXA MEDICA o BAIXA MOTIUS PERSONAL';
COMMENT ON TABLE IBDWH.MILLOR_JUGADOR_DEL_MON  IS 'Per a cada gnere i modalitat, el millor jugador del mn en el darrer any (mitjana de valoracions ponderades ms alta).';
