PROMPT "Inici Creaci dels TABLESPACE"
CREATE TABLESPACE tbs_int_bkt_db DATAFILE 'tbs_int_bkt_db.dat' SIZE 500K REUSE AUTOEXTEND ON NEXT 500K MAXSIZE 100M;
CREATE TABLESPACE tbs_int_bkt_dwh DATAFILE 'tbs_int_bkt_dwh.dat' SIZE 500K REUSE AUTOEXTEND ON NEXT 500K MAXSIZE 500M;
PROMPT "Fi creaci dels TABLESPACE"

PROMPT "Inici creaci dels USUARIS"
CREATE USER dba4all IDENTIFIED BY UOC001;
CREATE USER IBDB IDENTIFIED BY UOC001 DEFAULT TABLESPACE TBS_INT_BKT_DB TEMPORARY TABLESPACE TEMP;
CREATE USER IBDWH IDENTIFIED BY UOC001 DEFAULT TABLESPACE tbs_int_bkt_dwh TEMPORARY TABLESPACE TEMP;
PROMPT "Fi creaci dels USUARIS"

PROMPT "Inici creaci dels ROLS"
CREATE ROLE dba_profile;
PROMPT "Fi creaci dels ROLS"

PROMPT "Donem permisos de DBA al usuari DBA4ALL i al rol DBA_PROFILE"
GRANT DBA TO dba4all;
GRANT DBA TO dba_profile WITH ADMIN OPTION;
PROMPT "Fi permisos de DBA al usuari DBA4ALL i al rol DBA_PROFILE"

PROMPT "Donem permisos per conectar a la base de dades"
GRANT CREATE SESSION TO "IBDB" ;
GRANT CREATE SESSION TO "IBDWH" ;
PROMPT "Fi permisos per conectar a la base de dades"

PROMPT "Ens asegurem de no tenir problemes d'espai en els TABLESPACE ampliant la cuota a ilimitada"
ALTER USER IBDWH QUOTA UNLIMITED ON tbs_int_bkt_dwh;
ALTER USER IBDB QUOTA UNLIMITED ON tbs_int_bkt_db;
ALTER USER DBA4ALL QUOTA UNLIMITED ON tbs_int_bkt_dwh;
ALTER USER DBA4ALL QUOTA UNLIMITED ON tbs_int_bkt_db;
PROMPT "Fi ampliaci cuota"
